Holger's Java API

## com.antelmann.crm
Class PhoneNumber

    java.lang.Object
      com.antelmann.crm.PhoneNumber

All Implemented Interfaces:
  Serializable

    public class PhoneNumber

extends Object
implements Serializable

represents a phone number; the instance is immutable

Since:
  05.11.2008, 22:34:42
Author:
  Holger Antelmann
See Also:
  Serialized Form

Constructor Summary
`PhoneNumber(String number)` Takes one single string that represents the complete number including everything from country-prefix to extension

Method Summary
`boolean` `equals(Object obj)`
`String` `getDigits()` returns the number as a String containing only those characters that are digits
`String` `getNumber()` returns the number as originally entered
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PhoneNumber

    public PhoneNumber(String number)

  Takes one single string that represents the complete number including everything from country-prefix to extension

Method Detail

### getNumber

    public String getNumber()

  returns the number as originally entered

### getDigits

    public String getDigits()

  returns the number as a String containing only those characters that are digits

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads